## EvSidebarLinks

EvSidebarLinks

## Synopsis

    struct              EvSidebarLinks;
    struct              EvSidebarLinksClass;
                        EvSidebarLinksPrivate;
    GtkWidget *         ev_sidebar_links_new                (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----EvSidebarLinks

## Implemented Interfaces

EvSidebarLinks implements AtkImplementorIface, GtkBuildable, GtkOrientable and EvSidebarPage.

## Properties

      "model"                    GtkTreeModel*         : Read / Write

## Signals

      "link-activated"                                 : Action

## Description

## Details

### struct EvSidebarLinks

    struct EvSidebarLinks;

### struct EvSidebarLinksClass

    struct EvSidebarLinksClass {
    	GtkVBoxClass base_class;

    	void    (* link_activated) (EvSidebarLinks *sidebar_links,
    				    EvLink         *link);
    };

### EvSidebarLinksPrivate

    typedef struct _EvSidebarLinksPrivate EvSidebarLinksPrivate;

### ev_sidebar_links_new ()

    GtkWidget *         ev_sidebar_links_new                (void);

## Property Details

### The `"model"` property

      "model"                    GtkTreeModel*         : Read / Write

Current Model.

## Signal Details

### The `"link-activated"` signal

    void                user_function                      (EvSidebarLinks *evsidebarlinks,
                                                            GObject        *arg1,
                                                            gpointer        user_data)           : Action